SELECT p.firstname, p.lastname, e.pay_amount
  FROM person p JOIN employee e USING (id)
 WHERE e.pay_type_code = 'S'
   AND e.pay_amount =
       (SELECT min(pay_amount)
          FROM employee
         WHERE pay_type_code = 'S')
/
